package calculator;

// Program creates a GUI that resembles a calculator.
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class CalculatorFrame extends JFrame {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private JButton keys[];
	private JPanel keyPadJPanel;
	private JTextField lcdJTextField;
	private Double operant1 = null;
	private Double operant2 = null;

	private char operator;

	// constructor sets up GUI
	public CalculatorFrame() {
		super("Calculator");

		lcdJTextField = new JTextField(20); // create lcdJTextField
		lcdJTextField.setEditable(true); // allow user input

		keys = new JButton[17]; // array keys contains 17 JButtons

		/*
		 * TODO: initialize all digit key buttons. Add the action listener
		 * ( hint: use eclipse's auto-complete ctrl+space )
		 */


		/*
		 * TODO: initialize all function key buttons. Add the action listener
		 * ( hint: use eclipse's auto-complete ctrl+space )
		 */

		// set keyPadJPanel layout to grid layout
		keyPadJPanel = new JPanel();
		keyPadJPanel.setLayout(new GridLayout(5, 4));
		// Chapter 11 GUI Components: Part 1
		// add buttons to keyPadJPanel panel
		// 7, 8, 9, divide
		for (int i = 7; i <= 10; i++)
			keyPadJPanel.add(keys[i]);

		// 4, 5, 6
		for (int i = 4; i <= 6; i++)
			keyPadJPanel.add(keys[i]);

		// multiply
		keyPadJPanel.add(keys[11]);

		// 1, 2, 3
		for (int i = 1; i <= 3; i++)
			keyPadJPanel.add(keys[i]);

		// subtract
		keyPadJPanel.add(keys[12]);

		// 0
		keyPadJPanel.add(keys[0]);

		// ., =, add
		for (int i = 15; i >= 13; i--)
			keyPadJPanel.add(keys[i]);

		keyPadJPanel.add(keys[16]);
		// add components to (default) border layout
		add(lcdJTextField, BorderLayout.NORTH);
		add(keyPadJPanel, BorderLayout.CENTER);
	} // end CalculatorFrame constructor
} // end class CalculatorFrame
